### Function

# GLib unichar_toupper

since: 2.0

#### Declaration

    gunichar
    g_unichar_toupper (
      gunichar c
    )

#### Description

Converts a character to uppercase.

Available since: 2.0

#### Parameters

`c`

  Type: `gunichar`

  A Unicode character.

#### Return value

Type: `gunichar`

The result of converting `c` to uppercase. If `c` is not a lowercase or titlecase character, or has no upper case equivalent `c` is returned unchanged.